for i=1,17,1 do
  data:extend(
  {
    {
      type = "radar",
      name = "radar"..i,
      icon = "__base__/graphics/icons/radar.png",
      flags = {"placeable-player", "player-creation"},
      minable = {hardness = 0.2, mining_time = 0.5, result = "radar"},
      max_health = 150,
      corpse = "big-remnants",
      resistances =
      {
        {
          type = "fire",
          percent = 70
        }
      },
      collision_box = {{-1.4, -1.4}, {1.4, 1.4}},
      selection_box = {{-1.5, -1.5}, {1.5, 1.5}},
      energy_per_sector = (10-(27*((i+3)^2-9))/1173).."MJ",
      max_distance_of_sector_revealed = 14+i,
      max_distance_of_nearby_sector_revealed = 3+i,
      energy_per_nearby_scan = "250kJ",
      energy_source =
      {
        type = "electric",
        usage_priority = "secondary-input"
      },
      energy_usage = "300kW",
      pictures =
      {
        filename = "__base__/graphics/entity/radar/radar.png",
        priority = "low",
        width = 153,
        height = 131,
        apply_projection = false,
        direction_count = 64,
        line_length = 8,
        shift = {0.875, -0.34375}
      },
      vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },
      working_sound =
      {
        sound = {
          {
            filename = "__base__/sound/radar.ogg"
          }
        },
        apparent_volume = 2,
      }
    }
  })
  data:extend(
  {
    {
      type = "item",
      name = "radar"..i,
      icon = "__base__/graphics/icons/radar.png",
      flags = {"goes-to-quickbar"},
      subgroup = "defensive-structure",
      order = "d[radar]-a[radar]",
      place_result = "radar"..i,
      stack_size = 50
    }
  })
end